ROZPOCZNIJ

Wprowadzenie

API MiniToolAI zapewnia prosty interfejs do najnowocześniejszych modeli AI do przetwarzania języka naturalnego, generowania obrazów i tekstu na mowę. Postępuj zgodnie z tym przewodnikiem, aby dowiedzieć się, jak generować odpowiedzi podobne do ludzkich (chatGPT), jak również obrazy z opisów tekstowych.

Utwórz klucz API

sk-*************   Zaloguj się, aby wygenerować klucz API

Doładuj

Koszt zapytań API zostanie odjęty od twojego salda kredytowego.

Doładuj

Autoryzacja

Klucz API musi być dołączony w nagłówku każdego zapytania API.

Header: "Authorization: Bearer API_key"

 

 

 

 

ChatGPT API

Tworzy odpowiedź modelu dla danej rozmowy.

Python PHP
import requests
import json
API_Url = "https://minitoolai.com/api/chat-completions/"
API_Key = "MiniToolAI_API_Key"
headers = {
    "Content-Type": "application/json",
    "Authorization": f"Bearer {API_Key}"
}
data = {
    "model": "gpt-4o-mini", #gpt-4o, gpt-4.1, gpt-4.1-mini, gpt-4.1-nano
    "messages": [
		{"role": "developer", "content": "You are a helpful assistant."},
		{"role": "user", "content": "Hello"},
		{"role": "assistant", "content": "How can I help you today?"},
		{"role": "user", "content": "What's the largest U.S. state by area?"}
    ],
	"temperature": 1.0,
	"max_completion_tokens": 1000
}

response = requests.post(API_Url, headers=headers, json=data, stream=True)

#single result
print(response.text) 

#streamed
for line in response.iter_lines():
    if line:
        decode_line = line.decode('utf-8')
        print(decode_line)
<?php

$api_url = "https://minitoolai.com/api/chat-completions/";
$api_key = "MiniToolAI_API_Key"; 

$data = [
    "model" => "gpt-4o-mini", //gpt-4o, gpt-4.1, gpt-4.1-mini, gpt-4.1-nano
    "messages" => [
        ["role" => "developer", "content" => "You are a helpful assistant."],
        ["role" => "user", "content" => "Hello"],
        ["role" => "assistant", "content" => "How can I help you today?"],
        ["role" => "user", "content" => "What's the largest U.S. state by area?"],
    ],
    "temperature" => 1.0,
    "max_completion_tokens" => 1000
];

$headers = [
    "Content-Type: application/json",
    "Authorization: Bearer $api_key"
];

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $api_url);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, false); 
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));

// streamed
curl_setopt($ch, CURLOPT_WRITEFUNCTION, function($ch, $data) {
    echo $data;
    ob_flush(); 
    flush();     
    return strlen($data); 
});

$response = curl_exec($ch);

if (curl_errno($ch)) {
    echo "cURL error: " . curl_error($ch);
} 

curl_close($ch);

?>
#data with image input
data = {
    "model": "gpt-4o-mini", #gpt-4o
    "messages": [
        {"role": "developer", "content": "You are a helpful assistant."},
        {
            "role": "user", 
            "content": [
                {"type": "text", "text": "What's in this image?"},
                {
                    "type": "image_url",
                    "image_url": {
                        "url": "https://example.com/image.jpg", #jpg, jpeg, png, webp or gif
                        "detail": "auto" #auto, high or low
                    }
                }
            ]
        }

    ],
    "temperature": 0.7,
    "max_completion_tokens": 300
}
//data with image input
$data = [
    "model" => "gpt-4o-mini", // gpt-4o
    "messages" => [
        ["role" => "developer", "content" => "You are a helpful assistant."],
        [
            "role" => "user",
            "content" => [
                [
                    "type" => "text",
                    "text" => "What's in this image?"
                ],
                [
                    "type" => "image_url",
                    "image_url" => [
                        "url" => "https://example.com/image.jpg", // jpg, jpeg, png, webp or gif
                        "detail" => "auto" // auto, high or low
                    ]
                ]
            ]
        ]
    ],
    "temperature" => 0.7,
    "max_completion_tokens" => 300
];

Request body

messages tablica Wymagane

Lista wiadomości składających się na rozmowę do tej pory.

  • Developer message: Instrukcje dostarczone przez dewelopera, które model powinien przestrzegać, niezależnie od wiadomości użytkownika
  • User message: Wiadomości wysyłane przez użytkownika końcowego, zawierające polecenia lub dodatkowy kontekst.
  • Assistant message: Wiadomości wysyłane przez model w odpowiedzi na wiadomości użytkownika.

model string Wymagane

ID modelu do użycia

Dostępne modele: gpt-4o, gpt-4o-mini, gpt-4.1, gpt-4.1-mini, gpt-4.1-nano

temperature liczba lub null Opcjonalne

Domyślnie 1

Jaka temperatura próbkowania ma być używana, między 0.0 a 2.0. Wyższe wartości, np. 0.8, sprawią, że wynik będzie bardziej kreatywny, podczas gdy niższe wartości, np. 0.2, sprawią, że będzie bardziej skoncentrowany i deterministyczny.

max_completion_tokens liczba całkowita lub null Opcjonalne

Domyślnie 1000

Górna granica liczby tokenów, które mogą zostać wygenerowane dla odpowiedzi

Odpowiedź

data: {"id":"chatcmpl-B5qoZsT8kFDNJK3UyGLiJmjv6Pp90","object":"chat.completion.chunk","created":1740734359,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_06737a9306","choices":[{"index":0,"delta":{"content":"Ok"},"logprobs":null,"finish_reason":null}],"usage":null}

data: {"id":"chatcmpl-B5qoZsT8kFDNJK3UyGLiJmjv6Pp90","object":"chat.completion.chunk","created":1740734359,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_06737a9306","choices":[{"index":0,"delta":{"content":"."},"logprobs":null,"finish_reason":null}],"usage":null}

data: {"id":"chatcmpl-B5qoZsT8kFDNJK3UyGLiJmjv6Pp90","object":"chat.completion.chunk","created":1740734359,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_06737a9306","choices":[{"index":0,"delta":{},"logprobs":null,"finish_reason":"stop"}],"usage":null}

data: {"id":"chatcmpl-B5qoZsT8kFDNJK3UyGLiJmjv6Pp90","object":"chat.completion.chunk","created":1740734359,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_06737a9306","choices":[],"usage":{"prompt_tokens":17,"completion_tokens":3,"total_tokens":20,"prompt_tokens_details":{"cached_tokens":0,"audio_tokens":0},"completion_tokens_details":{"reasoning_tokens":0,"audio_tokens":0,"accepted_prediction_tokens":0,"rejected_prediction_tokens":0}}}

data: [DONE]

 

 

 

 

Tekst na obraz

Tworzy obraz na podstawie promptu.

Python PHP
import requests
import json
url = "https://minitoolai.com/api/texttoimage/"
API_Key = "MiniToolAI_API_Key"
headers = {
    "Content-Type": "application/json",
    "Authorization": f"Bearer {API_Key}"
}
data = {
    "model": "realvision",
    "prompt": "Ultra realistic portrait of a 20 year old woman, wearing an elegant black gown, joyful expression, deep shadows, cinematic composition, moody lighting",
    "negativePrompt": "unrealistic eyes, malformed features, ugly drawn",
    "scheduler": "DPM++ SDE",
    "steps": 4,
    "cfgScale": 2.0,
    "width": 1152,
    "height": 768
}
response = requests.post(url, json=data, headers=headers)
print(response.text)

'''
#response
Success:
{"status":"success","jobid":12345678,"signature":"abcxyz123"}
Error:
{"status":"error","jobid":null,"signature":null}
'''
<?php
// API URL and Key
$url = "https://minitoolai.com/api/texttoimage/";
$API_Key = "MiniToolAI_API_Key";

// Headers
$headers = [
    "Content-Type: application/json",
    "Authorization: Bearer $API_Key"
];

// Data to be sent in the request
$data = [
    "model" => "realvision",
    "prompt" => "Ultra realistic portrait of a 20 year old woman, wearing an elegant black gown, joyful expression, deep shadows, cinematic composition, moody lighting",
    "negativePrompt" => "unrealistic eyes, malformed features, ugly drawn",
    "scheduler" => "DPM++ SDE",
    "steps" => 4,
    "cfgScale" => 2.0,
    "width" => 1152,
    "height" => 768
];

// Initialize cURL session
$ch = curl_init();

// Set cURL options
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));

// Execute the cURL request
$response = curl_exec($ch);

echo $response;

// Close the cURL session
curl_close($ch);

/*
Response:
Success:
{"status":"success","jobid":12345678,"signature":"abcxyz123"}
Error:
{"status":"error","jobid":null,"signature":null}
*/
?>

Pobierz status i wynik zadania

curl -X POST https://minitoolai.com/api/texttoimage/jobs/ \
  -H "Content-Type: application/json" \
  -d '{
    "jobid": "12345678",
    "signature": "abcxyz123"
  }'

Odpowiedź

{
  "status": "success",
  "image_url": "https://...",
  "message": "success"
}

model string Wymagane

ID modelu do użycia

Dostępne modele: "realvision", "juggernaut", "autismmix", "dreamshaper", "valhalla", "mixrealistic", "campursari", "reality", "extrarealistic", "realism", "realgirls", "realityreborn", "amigo", "simplemix", "beautifulrealistic"

prompt string Wymagane

Opis obrazu

negativePrompt string lub null Opcjonalne

Opis tego, co chcesz wykluczyć z wygenerowanego obrazu

scheduler string lub null Opcjonalne

Kontroluje sposób usuwania szumów podczas procesu generowania obrazu.

Domyślnie "DPM++ SDE"

Możliwe wartości to: "Euler a", "Euler", "LMS", "Heun", "DPM2", "DPM2 a", "DPM++ 2S a", "DPM++ 2M", "DPM++ SDE", "DPM++ 2M SDE", "DPM fast", "LMS Karras", "DPM2 Karras", "DPM2 a Karras", "DPM++ 2S a Karras", "DPM++ 2M Karras", "DPM++ SDE Karras", "DPM++ 2M SDE Karras"

steps liczba całkowita lub null Opcjonalne

Liczba kroków procesu generowania obrazu, od 1 do 8.

Domyślnie 4

cfgScale liczba lub null Opcjonalne

cfgScale kontroluje, jak bardzo model powinien trzymać się podanego promptu tekstowego. Balansuje między kreatywnością a dokładnością, od 1 do 7.

Domyślnie 2

cfgScale < 4 → bardziej kreatywne obrazy, cfgScale > 4 → bliżej promptu, mniej kreatywne

width/height liczba całkowita lub null Opcjonalne

Rozmiar wygenerowanego obrazu, od 256 do 1344.

Domyślnie 1024

 

 

 

 

Cennik API

Modele GPT

Cena za 1M tokenów

Model Wejście Wyjście
gpt-4o-mini $0.15 $0.60
gpt-4o $2.50 $10.00
gpt-4.1 $2.00 $8.00
gpt-4.1-mini $0.40 $1.60
gpt-4.1-nano $0.10 $0.40

Generowanie obrazu

Model Cena za obraz
Wszystkie modele $0.0015

 

 

 

 

Użycie API

Zaloguj się, aby zobaczyć użycie API

Generowanie tekstu

Generowanie obrazu